summaryrefslogtreecommitdiffstats
path: root/src/arrow/ci/scripts/install_dask.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/arrow/ci/scripts/install_dask.sh')
-rwxr-xr-xsrc/arrow/ci/scripts/install_dask.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/src/arrow/ci/scripts/install_dask.sh b/src/arrow/ci/scripts/install_dask.sh
new file mode 100755
index 000000000..954ce3249
--- /dev/null
+++ b/src/arrow/ci/scripts/install_dask.sh
@@ -0,0 +1,36 @@
+#!/usr/bin/env bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+
+if [ "$#" -ne 1 ]; then
+ echo "Usage: $0 <dask version>"
+ exit 1
+fi
+
+dask=$1
+
+if [ "${dask}" = "master" ]; then
+ pip install https://github.com/dask/dask/archive/main.tar.gz#egg=dask[dataframe]
+elif [ "${dask}" = "latest" ]; then
+ conda install -q dask
+else
+ conda install -q dask=${dask}
+fi
+conda clean --all